{# Loads unlocked projects from controller #}

{% trans_default_domain 'City' %}

{% set projectName = buildingProject['construction'].name %}
{% set projectType = buildingProject['construction'].constructionType %}
{% set projectLevel = buildingProject['level'] %}
{% set projectRequirement = buildingProject['requirements'] %}

{% set isBuildable = buildingProject['buildable'][0] %}
{% set hasRequiredTitle = buildingProject['buildable']['title'] %}
{% set link = "document.location ='" ~ path('app_city_startconstruction', {'name': projectName, 'level': projectLevel}) ~ "'" %}

{% set translationDomain = projectType == 'unit' ? 'Common' : 'City' %}

{% set requirement = '' %}
{% if projectRequirement.requiredTitle != '' %}
    {% set Title =  ('lord.titles.' ~ projectRequirement.requiredTitle.value) | trans([], 'Common') %}
    {% set requirement = '<br>' ~ 'messages.build.requiresTitle' | trans ~ '<b>' ~ Title ~ '</b>' %}
{% endif %}

{% if projectType == 'building' %}
    {% set description = (projectType~'s.'~projectName~'.desc') | trans %}
    {% if projectLevel > 1 %}
        {% set description = (projectType~'s.'~projectName~'.upgradeDesc') | trans %}
    {% endif %}
{% elseif projectType == 'unit' %}
    {% set description = (projectType~'s.'~projectName~'.buildDesc') | trans([], 'Common') %}
{% endif %} 

<li class= "block_buildings{% if not isBuildable %} disable{% endif %}" {% if isBuildable %} onclick="{{ link }}"{% endif %} data-link="{{ link }}" data-hasRequiredTitle="{{ hasRequiredTitle }}">
    {% if projectType == 'building' %}
    <img class="level" src="{{ asset('/img/level' ~ projectLevel ~ '.png') }}" alt="LevelIcon"
         onmouseover="showHintMsg(this,'<strong>{{ 'messages.level' | trans }} <span>{{ projectLevel }}</span></strong>')"
         onmouseout="hideHint()"
    >
    {% endif %}
	<img class="building" src="{{ asset('/img/icons/' ~ projectType|slice(0,1) ~ '_' ~ projectName ~ '.png') }}" alt="BuildingIcon">
	<img class="help" src="{{ asset('img/help.gif') }}" alt="helpIcon"
        onmouseover="showHint(this,'{{(projectType~'s.'~projectName~'.name') | trans([], translationDomain) }}','{{ description }}</p><div class=&quot;require&quot;>{{ requirement }}</div>')"
        onmouseout="hideHint()"
    >
	<h1>{{ (projectType ~ 's.' ~ projectName ~ '.name') | trans([], translationDomain) }}</h1>

	<div class="needact" 
        onmouseover="showHint(this, '{{ 'messages.build.hammerTooltip.title' | trans }}', '{{ 'messages.build.hammerTooltip.description' | trans }}')"
        onmouseout="hideHint()">{{ buildingProject['construction'].orderedSchemas[projectLevel]['remainingHammers'].amount }}
        <img src="{{ asset('img/icons/small/icon_hammer.gif') }}" alt="Required Hammers">
    </div>

	<ul class="ires">
        {% for schema in buildingProject['construction'].orderedSchemas[projectLevel] %}
            {% set resourceName = schema.resource.name %}
            {% if resourceName != 'remainingHammers' %}
                {% set resourceBlock = 'number' %}
                {% if buildingProject['buildable'][resourceName] == false %}
                    {% set resourceBlock = 'number need' %}
                {% endif %}
                    {% set amount = schema.amount %}
                    <li data-resource="{{ resourceName }}" data-amount="{{ amount }}">
                        <div class="sres">
                            <img src="{{ asset('/img/icons/small/res_' ~ resourceName ~ '.gif') }}" alt="Resource requirement">
                            <span class="{{ resourceBlock }}">{{ amount }}</span>
                        </div>
                    </li>
            {% endif %}
        {% endfor %}
	</ul>
</li>


